# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Protected Attributes | List of all members
DBus::Mutex Class Referenceabstract

`#include <dispatcher.h>`

## Public Member Functions

virtual | ~Mutex ()
virtual void | lock ()=0
virtual void | unlock ()=0

## Protected Attributes

Internal * | _int

## Detailed Description

Definition at line 191 of file dispatcher.h.

## Constructor & Destructor Documentation

## ◆ ~Mutex()

virtual DBus::Mutex::~Mutex | ( |  | ) |

inline virtual

Definition at line 195 of file dispatcher.h.

## Member Function Documentation

## ◆ lock()

virtual void DBus::Mutex::lock | ( |  | ) |

pure virtual

Referenced by DBus::Threading< Mx, Cv >::mutex_lock().

## ◆ unlock()

virtual void DBus::Mutex::unlock | ( |  | ) |

pure virtual

Referenced by DBus::Threading< Mx, Cv >::mutex_unlock().

## Member Data Documentation

## ◆ _int

Internal* DBus::Mutex::_int

protected

Definition at line 205 of file dispatcher.h.

The documentation for this class was generated from the following file:

- dispatcher.h